%global debug_package %{nil}

Name:           docker-buildx
Version:        0.12.1
Release:        %mkrel 2
Summary:        BuildKit capabilities for Docker CLI
Group:          System/Configuration
License:        ASL 2.0
URL:            https://www.docker.com/
Source0:        https://github.com/docker/buildx/archive/v%{version}.tar.gz
# In order to refrech this file, please do
# bm -l
# cd BUILD/buildx-*
# GO111MODULE=on go mod vendor
# tar cvfz ../../SOURCES/vendor.tgz vendor/
Source1:		vendor.tgz
BuildRequires:  golang >= 1.21
BuildRequires:  make
BuildRequires:  docker-devel >= 20.10
Requires:       docker >= 24.0.1

%description
buildx is a Docker CLI plugin for extended build capabilities with BuildKit.

Key features:

    Familiar UI from docker build
    Full BuildKit capabilities with container driver
    Multiple builder instance support
    Multi-node builds for cross-platform images
    Compose build support
    High-level build constructs (bake)
    In-container driver support (both Docker and Kubernetes)

%prep
%setup -q -n buildx-%{version}
tar xfz %{SOURCE1}

%build
export VERSION=%{version}
export REVISION=%{release}
export GO111MODULE=on
./hack/build

%install
install -d -m 0755 %{buildroot}/%{_libexecdir}/docker/cli-plugins
install -p -m 0755 bin/build/%{name} %{buildroot}/%{_libexecdir}/docker/cli-plugins/

%files
%doc AUTHORS README.md MAINTAINERS
%license LICENSE
%{_libexecdir}/docker/cli-plugins/%{name}


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.12.1-2.mga10
+ Revision: 2221474
- Mageia 10 Mass Rebuild

* Mon Feb 26 2024 bcornec <bcornec> 0.12.1-1.mga10
+ Revision: 2044485
- Update vendor package
- Update to upstream docker-buildx 0.12.1
- Provides the buildx plugin for docker
- Add a new docker-buildx plugin required to build docker-compose v2 and extend docker 24.0
- Created package structure for docker-buildx.

